<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
              </ol>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>
  
    <section class="content">
        <div class="container-fluid">
          <div class="row">
            <!-- left column -->
            <div class="col-sm-4"></div>
            <div class="col-md-4">
              <!-- jquery validation -->
              <div class="card card-primary">
                <div class="card-header">
                  <h3 class="card-title">Sign Up </h3>
                  <p>Please fill in this form to create an account</p>
                </div>
                <!-- /.card-header -->
                <!-- form start -->
                <form id="quickForm">
                  <div class="card-body">
                    <div class="form-group">
                        <label for="username">Username</label>
                        <input type="text" name="username" class="form-control" id="username" placeholder="Username">
                    </div>
                    <div class="form-group">
                      <label for="email">Email address</label>
                      <input type="email" name="email" class="form-control" id="email" placeholder="Email">
                    </div>
                    <div class="form-group">
                      <label for="password">Password</label>
                      <input type="password" name="password" class="form-control" id="password" placeholder="Password">
                    </div>
                    <div class="form-group">
                        <label for="password2">Confirm Password</label>
                        <input type="password2" name="password" class="form-control" id="password2" placeholder="Confirm Password">
                      </div>
                    <div class="form-group mb-0">
                      <div class="custom-control custom-checkbox">
                        <input type="checkbox" name="terms" class="custom-control-input" id="check">
                        <label class="custom-control-label" for="check">I accept to the Terms of use & privacy policy</label>
                      </div>
                    </div>
                  </div>
                  <!-- /.card-body -->
                  <div class="card-footer">
                    <button id = "signup" type="submit" class="btn btn-primary">Sign up</button>
                  </div>
                </form>
              </div>
              <!-- /.card -->
            </div>
            <div class="col-sm-4"></div>
            <!--/.col (left) -->
            <!-- right column -->
            <div class="col-md-6">
  
            </div>
            <!--/.col (right) -->
          </div>
          <!-- /.row -->
        </div><!-- /.container-fluid -->
      </section>

    <script>
        $(document).ready(function () {
            // Lưu một biến token để dùng khi gọi chức năng get user info 
            var gToken = "";

            $("#signup").on("click", function() {
                signUpFunction();
            });

            function signUpFunction() {
                var vSignUpData = {
                    username: "",
                    email: "",
                    password: ""
                }
                //data read
                vSignUpData.username = $("#username").val();
                vSignUpData.email = $("#email").val();
                vSignUpData.password = $("#password").val();
                //data validation
                if (vSignUpData.password == $("#password2").val()){
                    callApiSignUp();
                }
                else alert("Password does not match!");
            }
            function callApiSignUp(){
                $.ajax({
                        url: "http://localhost:8080/api/auth/signup",
                        type: 'POST',
                        dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        data: JSON.stringify(vSignUpData),
                        success: function (pRes) {
                            console.log(pRes)
                        },
                        error: function (pAjaxContext) {
                            console.log(pAjaxContext.responseJSON.message);
                        }
                    });
            }
            
        });
    </script>
</body>

</html>